<!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <title>JAVASCRIPT</title>
    </head>
    <body>
        <script>

            // array unidimensional (vector)
            let listado = [444, 24, 3333, 4, 5];


            //mostrar el array (solo para depurar, para mostrarlo hay que recorrerlo elemento a elemento)
            console.log(listado);

            //longitud del array
            console.log(listado.length);

            //leer el primer elemento
            
            console.log(listado[0]);

            //añadir un nuevo elemento al array

            listado[5]=40;

            // leer el ultimo elemento
            console.log(listado[4]);

            //introducir en la posición 1 un 67
            //
            listado[1]=67;
            
            let listado2 = new Array(1,2,3,4,5);

            //let listado2 = new Array(100) Esto es para definir un array de longitud dada
            //            
            console.log(listado);

            console.log(listado2);

            //Array con textos

            let notas=["suspenso","aprobado"];

            //Arrays asociativos
            let alumno=["ramon","abramo",47];

            let alumnojason={
                "nombre":"ramon",
                "apellidos":"abramo",
                "edad":47
            };

            console.log(alumno);
            console.log(alumnoJASON);

            //leer edad del alumno
            
            console.log(alumno[2]);

            console.log(alumnoJSON["edad"]);

            console.log(alumnoJSON.edad);




            
            var a = listado[2];
            console.log(a);
            
            listado2[4] = 500;
            console.log(listado2);
            
            listado3 = ['hola', 123, false, listado];
            
            console.log(listado3);
            
        </script>
    </body>
</html>
        
